#!/usr/bin/perl

# chops off last character if it's a control character or blank

($var) = @ARGV;
$chopchar = chop ($var);
if (ord ($chopchar) < 33)
  {
    print $var;
  }
else
  {
    print @ARGV;
  }
